Page MenuHomePhabricator

[WE2.1] Exploration: Dark Mode
Closed, ResolvedPublic5 Estimated Story Points

Description

Background

We would like to study and explore what the technical requirements for building out dark mode would be. We would like to follow the guidance in the playbook here, in particular the step: in the playbook "Hold an early team shallow dive into the problem space. "

Goals:

  1. Create a proof of concept for dark mode which can work across multiple wikis on desktop and mobile
  2. Based on this, create a list of spikes and tickets required to begin building dark mode
  3. Hold a meeting AND/OR setup a meeting to do an early team shallow dive into the problem space. Invite someone from the Android team to discuss Android implementation. Also invite one of the gadget developers.

sign off steps

  • Make sure the meeting for team shallow dive has occurred or is in the calendar
  • Make sure the playbook is updated with outcomes of the meeting (if the meeting has not occurred move this sign off step to a more appropriate place)

Per last discussion:

  1. We want this ticket to be completed within a timeframe of 3 days.
  2. To ensure efficient management, let's timebox the task.
  3. It would be beneficial to divide this task into multiple subtasks.
  4. Considering the potential complexities, it might be wise to limit the number of components you will target for prototyping.

Related Objects

StatusSubtypeAssignedTask
Openovasileva
Resolvedovasileva
Openovasileva
ResolvedFeatureovasileva
ResolvedNone
DeclinedNone
ResolvedDanielFriesen
InvalidNone
Resolved JMinor
DuplicateNone
DuplicateNone
DuplicateNone
ResolvedJdrewniak
ResolvedBUG REPORTSeddon
OpenNone
ResolvedJdlrobson
Resolvedovasileva
OpenNone
Resolvedovasileva
ResolvedBUG REPORTovasileva
Resolvedovasileva
ResolvedBUG REPORTovasileva
Resolvedovasileva
Resolvedovasileva
DuplicateBUG REPORTNone
OpenBUG REPORTNone

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Spike". · View Herald TranscriptMay 9 2023, 7:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson renamed this task from Exploration: Dark Mode to [WE2.1] Exploration: Dark Mode.Jun 23 2023, 5:53 PM

@Jdrewniak - just added a note about considering dark mode on mobile as well for this ticket.

Jdlrobson changed the subtype of this task from "Spike" to "Task".Jul 11 2023, 4:41 PM
Jdlrobson updated Other Assignee, added: KSarabia-WMF.

Change 937200 had a related patch set uploaded (by Kimberly Sarabia; author: Kimberly Sarabia):

[mediawiki/skins/Vector@master] Incorporate dark mode into content

https://gerrit.wikimedia.org/r/937200

Change 937505 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[oojs/ui@master] [DNM][POC] Experiment introducing CSS custom properties

https://gerrit.wikimedia.org/r/937505

Spoke to @Jdrewniak on Wednesday and he said the next step is to setup a meeting to go through what we know and make some decisions.

Meeting scheduled for August 9. We will decide how to communicate results and next steps outside the team at that time.

Change 937200 abandoned by Jdrewniak:

[mediawiki/skins/Vector@master] [WIP] Test incorporating CSS custom properties for dark-mode

Reason:

https://gerrit.wikimedia.org/r/937200

Change 937505 abandoned by Jdrewniak:

[oojs/ui@master] [DNM][POC] Experiment introducing CSS custom properties

Reason:

https://gerrit.wikimedia.org/r/937505